Permalink
Browse files

update deps

  • Loading branch information...
1 parent 17e2731 commit 0b978d879d3773a8dcfa1ff127007b5d1e7aa7a2 @mseemann committed Dec 29, 2016
Showing with 50 additions and 45 deletions.
  1. +2 −3 config/webpack/webpack.common.js
  2. +1 −1 config/webpack/webpack.config.umd.js
  3. +1 −2 config/webpack/webpack.test.js
  4. +1 −1 package.json
  5. +45 −38 yarn.lock
@@ -4,7 +4,7 @@ var ExtractTextPlugin = require('extract-text-webpack-plugin');
var CopyWebpackPlugin = require('copy-webpack-plugin');
var util = require('./util');
var autoprefixer = require('autoprefixer');
-const ForkCheckerPlugin = require('awesome-typescript-loader').ForkCheckerPlugin;
+
module.exports = {
@@ -29,7 +29,7 @@ module.exports = {
loaders: [
{
test: /\.ts$/,
- loaders: ['awesome-typescript-loader?tsconfig=./src/tsconfig.json', 'angular2-template-loader'],
+ loaders: ['awesome-typescript-loader?configFileName=./src/tsconfig.json', 'angular2-template-loader'],
exclude: [
/\.(spec)\.ts$/
]
@@ -74,7 +74,6 @@ module.exports = {
/angular(\\|\/)core(\\|\/)(esm(\\|\/)src|src)(\\|\/)linker/,
util.root('src')
),
- new ForkCheckerPlugin(),
new CopyWebpackPlugin([{ from: util.root('src', 'demo-app', 'assets') , to: 'assets'}], {copyUnmodified: true}),
new webpack.optimize.CommonsChunkPlugin({
name: ['polyfills']
@@ -53,7 +53,7 @@ module.exports = {
rules: [
{
test: /\.ts$/,
- loader: 'awesome-typescript-loader?tsconfig=./src/tsconfig.json'
+ loader: 'awesome-typescript-loader?configFileName=./src/tsconfig.json'
}
]
},
@@ -1,6 +1,5 @@
const webpack = require('webpack');
const util = require('./util');
-
const ENV = process.env.ENV = process.env.NODE_ENV = 'test';
module.exports = {
@@ -16,7 +15,7 @@ module.exports = {
rules: [
{
test: /\.ts$/,
- loaders: ['awesome-typescript-loader?tsconfig=./src/tsconfig-test.json']
+ loaders: ['awesome-typescript-loader?configFileName=./src/tsconfig-test.json']
},
{
enforce: 'post',
View
@@ -44,7 +44,7 @@
"@types/node": "6.0.54",
"angular2-template-loader": "0.6.0",
"autoprefixer": "6.6.0",
- "awesome-typescript-loader": "2.2.4",
+ "awesome-typescript-loader": "3.0.0-beta.17",
"codeclimate-test-reporter": "0.4.0",
"codelyzer": "2.0.0-beta.4",
"copy-webpack-plugin": "4.0.1",
View
@@ -78,10 +78,6 @@
version "2.53.37"
resolved "https://registry.yarnpkg.com/@types/selenium-webdriver/-/selenium-webdriver-2.53.37.tgz#34f743c20e53ae7100ede90870fde554df2447f8"
-Base64@~0.2.0:
- version "0.2.1"
- resolved "https://registry.yarnpkg.com/Base64/-/Base64-0.2.1.tgz#ba3a4230708e186705065e66babdd4c35cf60028"
-
abbrev@1, abbrev@1.0.x:
version "1.0.9"
resolved "https://registry.yarnpkg.com/abbrev/-/abbrev-1.0.9.tgz#91b4792588a7738c25f35dd6f63752a2f8776135"
@@ -349,13 +345,13 @@ autoprefixer@^6.3.1:
postcss "^5.2.6"
postcss-value-parser "^3.2.3"
-awesome-typescript-loader@2.2.4:
- version "2.2.4"
- resolved "https://registry.yarnpkg.com/awesome-typescript-loader/-/awesome-typescript-loader-2.2.4.tgz#4185d60c035c25515f9c2a747fa5f69b2a001e9e"
+awesome-typescript-loader@3.0.0-beta.17:
+ version "3.0.0-beta.17"
+ resolved "https://registry.yarnpkg.com/awesome-typescript-loader/-/awesome-typescript-loader-3.0.0-beta.17.tgz#f22cfb9c4365d8131f5cb737025ffcb3e516a8ec"
dependencies:
colors "^1.1.2"
- enhanced-resolve "^2.2.2"
- loader-utils "^0.2.6"
+ enhanced-resolve "^2.3.0"
+ loader-utils "^0.2.16"
lodash "^4.13.1"
object-assign "^4.1.0"
source-map-support "^0.4.0"
@@ -577,7 +573,7 @@ browserify-sign@^4.0.0:
inherits "^2.0.1"
parse-asn1 "^5.0.0"
-browserify-zlib@~0.1.4:
+browserify-zlib@^0.1.4:
version "0.1.4"
resolved "https://registry.yarnpkg.com/browserify-zlib/-/browserify-zlib-0.1.4.tgz#bb35f8a519f600e0fa6b8485241c979d0141fb2d"
dependencies:
@@ -615,6 +611,10 @@ builtin-modules@^1.0.0:
version "1.1.1"
resolved "https://registry.yarnpkg.com/builtin-modules/-/builtin-modules-1.1.1.tgz#270f076c5a72c02f5b65a47df94c5fe3a278892f"
+builtin-status-codes@^2.0.0:
+ version "2.0.0"
+ resolved "https://registry.yarnpkg.com/builtin-status-codes/-/builtin-status-codes-2.0.0.tgz#6f22003baacf003ccd287afe6872151fddc58579"
+
bytes@2.3.0:
version "2.3.0"
resolved "https://registry.yarnpkg.com/bytes/-/bytes-2.3.0.tgz#d5b680a165b6201739acb611542aabc2d8ceb070"
@@ -1480,7 +1480,7 @@ engine.io@1.6.10:
engine.io-parser "1.2.4"
ws "1.0.1"
-enhanced-resolve@^2.2.0, enhanced-resolve@^2.2.2:
+enhanced-resolve@^2.2.0, enhanced-resolve@^2.3.0:
version "2.3.0"
resolved "https://registry.yarnpkg.com/enhanced-resolve/-/enhanced-resolve-2.3.0.tgz#a115c32504b6302e85a76269d7a57ccdd962e359"
dependencies:
@@ -2211,13 +2211,6 @@ htmlparser2@~3.3.0:
domutils "1.1"
readable-stream "1.0"
-http-browserify@^1.3.2:
- version "1.7.0"
- resolved "https://registry.yarnpkg.com/http-browserify/-/http-browserify-1.7.0.tgz#33795ade72df88acfbfd36773cefeda764735b20"
- dependencies:
- Base64 "~0.2.0"
- inherits "~2.0.1"
-
http-errors@~1.5.0:
version "1.5.0"
resolved "https://registry.yarnpkg.com/http-errors/-/http-errors-1.5.0.tgz#b1cb3d8260fd8e2386cad3189045943372d48211"
@@ -2841,7 +2834,7 @@ loader-runner@^2.2.0:
version "2.2.0"
resolved "https://registry.yarnpkg.com/loader-runner/-/loader-runner-2.2.0.tgz#824c1b699c4e7a2b6501b85902d5b862bf45b3fa"
-loader-utils@0.2.x, loader-utils@0.x.x, loader-utils@^0.2.11, loader-utils@^0.2.15, loader-utils@^0.2.16, loader-utils@^0.2.3, loader-utils@^0.2.5, loader-utils@^0.2.6, loader-utils@^0.2.7, loader-utils@~0.2.2, loader-utils@~0.2.5:
+loader-utils@0.2.x, loader-utils@0.x.x, loader-utils@^0.2.11, loader-utils@^0.2.15, loader-utils@^0.2.16, loader-utils@^0.2.3, loader-utils@^0.2.5, loader-utils@^0.2.7, loader-utils@~0.2.2, loader-utils@~0.2.5:
version "0.2.16"
resolved "https://registry.yarnpkg.com/loader-utils/-/loader-utils-0.2.16.tgz#f08632066ed8282835dff88dfb52704765adee6d"
dependencies:
@@ -3265,31 +3258,31 @@ node-gyp@^3.3.1:
which "1"
node-libs-browser@^1.0.0:
- version "1.0.0"
- resolved "https://registry.yarnpkg.com/node-libs-browser/-/node-libs-browser-1.0.0.tgz#ff8ad6c2cfa78043bdd0091ec07f0aaa581620fc"
+ version "1.1.1"
+ resolved "https://registry.yarnpkg.com/node-libs-browser/-/node-libs-browser-1.1.1.tgz#2a38243abedd7dffcd07a97c9aca5668975a6fea"
dependencies:
assert "^1.1.1"
- browserify-zlib "~0.1.4"
+ browserify-zlib "^0.1.4"
buffer "^4.3.0"
console-browserify "^1.1.0"
constants-browserify "^1.0.0"
crypto-browserify "^3.11.0"
domain-browser "^1.1.1"
events "^1.0.0"
- http-browserify "^1.3.2"
https-browserify "0.0.1"
- os-browserify "~0.2.0"
+ os-browserify "^0.2.0"
path-browserify "0.0.0"
- process "~0.11.0"
+ process "^0.11.0"
punycode "^1.2.4"
- querystring-es3 "~0.2.0"
+ querystring-es3 "^0.2.0"
readable-stream "^2.0.5"
stream-browserify "^2.0.1"
- string_decoder "~0.10.25"
- timers-browserify "^1.0.1"
+ stream-http "^2.3.1"
+ string_decoder "^0.10.25"
+ timers-browserify "^1.4.2"
tty-browserify "0.0.0"
- url "~0.11.0"
- util "~0.10.3"
+ url "^0.11.0"
+ util "^0.10.3"
vm-browserify "0.0.4"
node-pre-gyp@^0.6.29:
@@ -3513,7 +3506,7 @@ original@>=0.0.5:
dependencies:
url-parse "1.0.x"
-os-browserify@~0.2.0:
+os-browserify@^0.2.0:
version "0.2.1"
resolved "https://registry.yarnpkg.com/os-browserify/-/os-browserify-0.2.1.tgz#63fc4ccee5d2d7763d26bbf8601078e6c2e0044f"
@@ -4000,7 +3993,7 @@ process-nextick-args@~1.0.6:
version "1.0.7"
resolved "https://registry.yarnpkg.com/process-nextick-args/-/process-nextick-args-1.0.7.tgz#150e20b756590ad3f91093f25a4f2ad8bff30ba3"
-process@~0.11.0:
+process@^0.11.0, process@~0.11.0:
version "0.11.9"
resolved "https://registry.yarnpkg.com/process/-/process-0.11.9.tgz#7bd5ad21aa6253e7da8682264f1e11d11c0318c1"
@@ -4094,7 +4087,7 @@ query-string@^4.1.0:
object-assign "^4.1.0"
strict-uri-encode "^1.0.0"
-querystring-es3@~0.2.0:
+querystring-es3@^0.2.0:
version "0.2.1"
resolved "https://registry.yarnpkg.com/querystring-es3/-/querystring-es3-0.2.1.tgz#9ec61f79049875707d69414596fd907a4d711e73"
@@ -4173,7 +4166,7 @@ readable-stream@1.0, readable-stream@~1.0.2:
isarray "0.0.1"
string_decoder "~0.10.x"
-readable-stream@^2.0.0, "readable-stream@^2.0.0 || ^1.1.13", readable-stream@^2.0.1, readable-stream@^2.0.2, readable-stream@^2.0.5, readable-stream@~2.1.4:
+readable-stream@^2.0.0, "readable-stream@^2.0.0 || ^1.1.13", readable-stream@^2.0.1, readable-stream@^2.0.2, readable-stream@^2.0.5, readable-stream@^2.1.0, readable-stream@~2.1.4:
version "2.1.5"
resolved "https://registry.yarnpkg.com/readable-stream/-/readable-stream-2.1.5.tgz#66fa8b720e1438b364681f2ad1a63c618448c9d0"
dependencies:
@@ -4787,6 +4780,16 @@ stream-cache@~0.0.1:
version "0.0.2"
resolved "https://registry.yarnpkg.com/stream-cache/-/stream-cache-0.0.2.tgz#1ac5ad6832428ca55667dbdee395dad4e6db118f"
+stream-http@^2.3.1:
+ version "2.5.0"
+ resolved "https://registry.yarnpkg.com/stream-http/-/stream-http-2.5.0.tgz#585eee513217ed98fe199817e7313b6f772a6802"
+ dependencies:
+ builtin-status-codes "^2.0.0"
+ inherits "^2.0.1"
+ readable-stream "^2.1.0"
+ to-arraybuffer "^1.0.0"
+ xtend "^4.0.0"
+
strict-uri-encode@^1.0.0:
version "1.1.0"
resolved "https://registry.yarnpkg.com/strict-uri-encode/-/strict-uri-encode-1.1.0.tgz#279b225df1d582b1f54e65addd4352e18faa0713"
@@ -4810,7 +4813,7 @@ string-width@^1.0.1:
is-fullwidth-code-point "^1.0.0"
strip-ansi "^3.0.0"
-string_decoder@~0.10.25, string_decoder@~0.10.x:
+string_decoder@^0.10.25, string_decoder@~0.10.x:
version "0.10.31"
resolved "https://registry.yarnpkg.com/string_decoder/-/string_decoder-0.10.31.tgz#62e203bc41766c6c28c9fc84301dab1c5310fa94"
@@ -4941,7 +4944,7 @@ timed-out@^2.0.0:
version "2.0.0"
resolved "https://registry.yarnpkg.com/timed-out/-/timed-out-2.0.0.tgz#f38b0ae81d3747d628001f41dafc652ace671c0a"
-timers-browserify@^1.0.1:
+timers-browserify@^1.4.2:
version "1.4.2"
resolved "https://registry.yarnpkg.com/timers-browserify/-/timers-browserify-1.4.2.tgz#c9c58b575be8407375cb5e2462dacee74359f41d"
dependencies:
@@ -4968,6 +4971,10 @@ to-array@0.1.4:
version "0.1.4"
resolved "https://registry.yarnpkg.com/to-array/-/to-array-0.1.4.tgz#17e6c11f73dd4f3d74cda7a4ff3238e9ad9bf890"
+to-arraybuffer@^1.0.0:
+ version "1.0.1"
+ resolved "https://registry.yarnpkg.com/to-arraybuffer/-/to-arraybuffer-1.0.1.tgz#7d229b1fcc637e466ca081180836a7aabff83f43"
+
toposort@^1.0.0:
version "1.0.0"
resolved "https://registry.yarnpkg.com/toposort/-/toposort-1.0.0.tgz#b66cf385a1a8a8e68e45b8259e7f55875e8b06ef"
@@ -5235,7 +5242,7 @@ url-parse@^1.1.1:
querystringify "0.0.x"
requires-port "1.0.x"
-url@~0.11.0:
+url@^0.11.0:
version "0.11.0"
resolved "https://registry.yarnpkg.com/url/-/url-0.11.0.tgz#3838e97cfc60521eb73c525a8e55bfdd9e2e28f1"
dependencies:
@@ -5260,7 +5267,7 @@ util-deprecate@^1.0.2, util-deprecate@~1.0.1:
version "1.0.2"
resolved "https://registry.yarnpkg.com/util-deprecate/-/util-deprecate-1.0.2.tgz#450d4dc9fa70de732762fbd2d4a28981419a0ccf"
-util@0.10.3, util@~0.10.3:
+util@0.10.3, util@^0.10.3:
version "0.10.3"
resolved "https://registry.yarnpkg.com/util/-/util-0.10.3.tgz#7afb1afe50805246489e3db7fe0ed379336ac0f9"
dependencies:

0 comments on commit 0b978d8

Please sign in to comment.